Vítejte !   Přihlášení | Registrace
Hlavní menu
CATIA fórum.cz
Novinky
Seriál CATIA
Obecně o CAD
Novinky ze světa DS
Makra pro CATIA V5
Diskuse
Vytvořit téma
Koncepty
Seznam oblíbených
Soukromé zprávy
Pravidla
Live CHAT
VIP žádost
Základy Catia
Ke stažení
Doporučujeme
Pracovní příležitosti
Reklama a kampaně
O fóru
Nápověda

Premenovanie PartBody podla nazvu Partu

Kompletní přehled příspěvků v tématu Premenovanie PartBody podla nazvu Partu řazený podle data jejich publikace na fóru.

UživatelPříspěvek
Robert Sevcik

Poslat zprávu | Profil
Datum: 25.7. 2020 | Zobrazeno: 681x
Konfigurace CATIA: V5-R2018 MD2

Text dotazu:
Dobrý deň,
vedeli by ste mi pomôcť s makrom, alebo neviete či existuje makro, ktoré mi premenuje základné PartBody podľa názvu Partu?
Ideálne v celej zostave (Protucte)
ďakujem za odpoveď

Přiložené obrázky:

Ing Jan Cinert

Poslat zprávu | Profil
[#6815] | Publikováno: 25.07. 2020 - 14:25
Dobrý den,

projděte si sekci Seriál CATIA, je tam spousta článků i s kódy.

Pro pojmenování PartBody bude kód (při otevřeném aktivním Partu):

Sub Main()

CATIA.ActiveDocument.Part.Bodies.Item(1).Name = CATIA.ActiveDocument.Part.Name
End Sub


U sestavy budete muset rekuryivně procházet jednotlivé instance a objekt Partu si vytvořit. Zbytek bude stejný.

Rekurze je určitě v článcích popsána i s kódem.
Jakub Dědík

Poslat zprávu | Profil
[#6840] | Publikováno: 26.09. 2020 - 10:44
Dobrý den,

Pokud je v catii otevřená pouze setava kterou chcete měnit, prošel bych kolekci CATIA.Documents a pokud by byl dokument CATPart provedl bych přejmenování. Je to rychlé a snadné a vůbec neřešíte strukturu sestavy.


Jakub Dědík

Poslat zprávu | Profil
[#6845] | Publikováno: 26.09. 2020 - 12:15
Pokud jde o main body tak kod který to udělá na všech načtených partech v catii je :
Kod ve VB.NET patří do visual studia :)

Sub Main()

Dim CatiaApp As Application
CatiaApp = GetObject(, "CATIA.Application")
For Each Doc As Document In CatiaApp.Documents
If TypeOf Doc Is PartDocument Then
Dim TempPartDoc As PartDocument = Doc
TempPartDoc.Part.MainBody.Name = TempPartDoc.Part.Name
End If
Next
End Sub


Uživatel nepřihlášen

Pro zobrazení obsahu stránky / provedení akce (vytvoření nového téma, napsání odpovědi do diskuse apod.) musíte být přihlášeni.